{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.myConfig.shell.neovim;
in {
  options.myConfig.shell.neovim = {
    enable = lib.mkEnableOption "neovim";
  };

  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [neovim];
    home.sessionVariables = {
      EDITOR = "${pkgs.neovim}/bin/nvim";
    };
  };
}
